After getting the shape or shape base object, you can get the image source by using the shape.toImageSrc() API.
You can get the shape image sourc using the following code:
window.onload = async () => {
const loadingTip = addLoadingTip();
let spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
const res = await fetch('$DEMOROOT$/en/sample/features/shapes/shape-toImage/spread.json');
await spread.fromJSON(await res.json());
loadingTip.remove();
bindShapesEvent(spread);
initPanel(spread);
}
function bindShapesEvent(spread) {
let shapeName;
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function (event, args) {
let shape = args.shape;
if (!shape) {
return;
}
let url = shape.toImageSrc();
shapeName = shape.name();
let imgElement = document.getElementById("selectShapeImage");
let img = new Image();
img.onload = function() {
if (img.width <= 250 && img.height <= 250) {
imgElement.style.width = "auto";
imgElement.style.height = "auto";
imgElement.src = url;
} else {
if (img.width > img.height) {
imgElement.style.width = "250px";
imgElement.style.height = "auto";
} else {
imgElement.style.width = "auto";
imgElement.style.height = "250px";
}
imgElement.src = url;
}
};
img.src = url;
});
document.getElementById("downloadButton").addEventListener("click", function () {
let imgElement = document.getElementById("selectShapeImage");
let imgUrl = imgElement.src;
let a = document.createElement("a");
a.href = imgUrl;
a.download = shapeName + ".png";
document.body.appendChild(a);
a.click();
document.body.removeChild(a);
});
}
function initPanel(spread) {
let sheet = spread.getActiveSheet();
let shape = sheet.shapes.all()[0];
shape.isSelected(true);
let url = shape.toImageSrc();
let imgElement = document.getElementById("selectShapeImage");
imgElement.src = url;
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function _getElementById(id) {
return document.getElementById(id);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js"
type="text/javascript"></script>
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js"
type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div class="option-row">
Try selecting a shape:
</div>
<div class="option-row">
<img id="selectShapeImage" src="" alt="Original Image">
</div>
<div class="option-row">
<input type="button" id="downloadButton" value="Download Image">
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

After getting the shape or shape base object, you can get the image source by using the shape.toImageSrc() API.
You can get the shape image sourc using the following code:
<template>
<div class="sample-tutorial">
<gc-spread-sheets
class="sample-spreadsheets"
@workbookInitialized="initSpread"
>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
Try selecting a shape:
</div>
<div class="option-row">
<img id="selectShapeImage" src="" alt="Original Image"></img>
</div>
<div class="option-row">
<input type="button" id="downloadButton" value="Download Image"></input>
</div>
</div>
</div>
</template>
<script>
import Vue from "vue";
import "@mescius/spread-sheets-vue";
import "@mescius/spread-sheets-shapes";
import GC from "@mescius/spread-sheets";
Vue.config.devtools = true;
let App = Vue.extend({
name: "app",
data: function () {
return {
spread: null,
};
},
components: {
},
mounted() {},
methods: {
initSpread(spread) {
this.spread = spread;
initSpread(spread);
},
},
});
async function initSpread(spread) {
spread.suspendPaint();
spread.setSheetCount(1);
const loadingTip = addLoadingTip();
const res = await fetch('$DEMOROOT$/en/sample/features/shapes/shape-toImage/spread.json');
await spread.fromJSON(await res.json());
loadingTip.remove();
spread.resumePaint();
bindShapesEvent(spread);
initPanel(spread);
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function bindShapesEvent(spread) {
let shapeName;
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function (event, args) {
let shape = args.shape;
if (!shape) {
return;
}
let url = shape.toImageSrc();
shapeName = shape.name();
let imgElement = document.getElementById("selectShapeImage");
let img = new Image();
img.onload = function () {
if (img.width <= 250 && img.height <= 250) {
imgElement.style.width = "auto";
imgElement.style.height = "auto";
imgElement.src = url;
} else {
if (img.width > img.height) {
imgElement.style.width = "250px";
imgElement.style.height = "auto";
} else {
imgElement.style.width = "auto";
imgElement.style.height = "250px";
}
imgElement.src = url;
}
};
img.src = url;
});
document.getElementById("downloadButton").addEventListener("click", function () {
let imgElement = document.getElementById("selectShapeImage");
let imgUrl = imgElement.src;
let a = document.createElement("a");
a.href = imgUrl;
a.download = shapeName + ".png";
document.body.appendChild(a);
a.click();
document.body.removeChild(a);
});
}
function initPanel(spread) {
let sheet = spread.getActiveSheet();
let shape = sheet.shapes.all()[0];
shape.isSelected(true);
let url = shape.toImageSrc();
let imgElement = document.getElementById("selectShapeImage");
imgElement.src = url;
}
new Vue({
render: (h) => h(App),
}).$mount("#app");
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #f4f8eb;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/en/lib/vue/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);

After getting the shape or shape base object, you can get the image source by using the shape.toImageSrc() API.
You can get the shape image sourc using the following code:
import { Component, NgModule, enableProdMode } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes"
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
showDesigner = top === window;
props = {};
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event) {
initSpread($event.spread);
bindShapesEvent($event.spread);
}
}
async function initSpread(spread) {
spread.suspendPaint();
spread.setSheetCount(1);
const loadingTip = addLoadingTip();
const res = await fetch('$DEMOROOT$/en/sample/features/shapes/shape-toImage/spread.json');
await spread.fromJSON(await res.json());
loadingTip.remove();
spread.resumePaint();
initPanel(spread);
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function bindShapesEvent(spread) {
let shapeName;
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function (event, args) {
let shape = args.shape;
if (!shape) {
return;
}
let url = shape.toImageSrc();
shapeName = shape.name();
let imgElement = document.getElementById("selectShapeImage");
let img = new Image();
img.onload = function() {
if (img.width <= 250 && img.height <= 250) {
imgElement.style.width = "auto";
imgElement.style.height = "auto";
imgElement.src = url;
} else {
if (img.width > img.height) {
imgElement.style.width = "250px";
imgElement.style.height = "auto";
} else {
imgElement.style.width = "auto";
imgElement.style.height = "250px";
}
imgElement.src = url;
}
};
img.src = url;
});
document.getElementById("downloadButton").addEventListener("click", function () {
let imgElement = document.getElementById("selectShapeImage");
let imgUrl = imgElement.src;
let a = document.createElement("a");
a.href = imgUrl;
a.download = shapeName + ".png";
document.body.appendChild(a);
a.click();
document.body.removeChild(a);
});
}
function initPanel(spread) {
let sheet = spread.getActiveSheet();
let shape = sheet.shapes.all()[0];
shape.isSelected(true);
let url = shape.toImageSrc();
let imgElement = document.getElementById("selectShapeImage");
imgElement.src = url;
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
Try selecting a shape:
</div>
<div class="option-row">
<img id="selectShapeImage" src="" alt="Original Image">
</div>
<div class="option-row">
<input type="button" id="downloadButton" value="Download Image">
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

After getting the shape or shape base object, you can get the image source by using the shape.toImageSrc() API.
You can get the shape image sourc using the following code:
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes"
import { SpreadSheets } from '@mescius/spread-sheets-react';
import './styles.css';
export function AppFunc() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
Try selecting a shape:
</div>
<div class="option-row">
<img id="selectShapeImage" src="" alt="Original Image"></img>
</div>
<div class="option-row">
<input type="button" id="downloadButton" value="Download Image"></input>
</div>
</div>
</div>);
}
async function initSpread(spread) {
spread.suspendPaint();
spread.setSheetCount(1);
const loadingTip = addLoadingTip();
const res = await fetch('$DEMOROOT$/en/sample/features/shapes/shape-toImage/spread.json');
await spread.fromJSON(await res.json());
loadingTip.remove();
spread.resumePaint();
bindShapesEvent(spread);
initPanel(spread);
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function bindShapesEvent(spread) {
let shapeName;
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function (event, args) {
let shape = args.shape;
if (!shape) {
return;
}
let url = shape.toImageSrc();
shapeName = shape.name();
let imgElement = document.getElementById("selectShapeImage");
let img = new Image();
img.onload = function () {
if (img.width <= 250 && img.height <= 250) {
imgElement.style.width = "auto";
imgElement.style.height = "auto";
imgElement.src = url;
} else {
if (img.width > img.height) {
imgElement.style.width = "250px";
imgElement.style.height = "auto";
} else {
imgElement.style.width = "auto";
imgElement.style.height = "250px";
}
imgElement.src = url;
}
};
img.src = url;
});
document.getElementById("downloadButton").addEventListener("click", function () {
let imgElement = document.getElementById("selectShapeImage");
let imgUrl = imgElement.src;
let a = document.createElement("a");
a.href = imgUrl;
a.download = shapeName + ".png";
document.body.appendChild(a);
a.click();
document.body.removeChild(a);
});
}
function initPanel(spread) {
let sheet = spread.getActiveSheet();
let shape = sheet.shapes.all()[0];
shape.isSelected(true);
let url = shape.toImageSrc();
let imgElement = document.getElementById("selectShapeImage");
imgElement.src = url;
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes"
import { SpreadSheets } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.autoGenerateColumns = false;
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
Try selecting a shape:
</div>
<div class="option-row">
<img id="selectShapeImage" src="" alt="Original Image"></img>
</div>
<div class="option-row">
<input type="button" id="downloadButton" value="Download Image"></input>
</div>
</div>
</div>);
}
}
async function initSpread(spread) {
spread.suspendPaint();
spread.setSheetCount(1);
const loadingTip = addLoadingTip();
const res = await fetch('$DEMOROOT$/en/sample/features/shapes/shape-toImage/spread.json');
await spread.fromJSON(await res.json());
loadingTip.remove();
spread.resumePaint();
bindShapesEvent(spread);
initPanel(spread);
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function bindShapesEvent(spread) {
let shapeName;
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function (event, args) {
let shape = args.shape;
if (!shape) {
return;
}
let url = shape.toImageSrc();
shapeName = shape.name();
let imgElement = document.getElementById("selectShapeImage");
let img = new Image();
img.onload = function () {
if (img.width <= 250 && img.height <= 250) {
imgElement.style.width = "auto";
imgElement.style.height = "auto";
imgElement.src = url;
} else {
if (img.width > img.height) {
imgElement.style.width = "250px";
imgElement.style.height = "auto";
} else {
imgElement.style.width = "auto";
imgElement.style.height = "250px";
}
imgElement.src = url;
}
};
img.src = url;
});
document.getElementById("downloadButton").addEventListener("click", function () {
let imgElement = document.getElementById("selectShapeImage");
let imgUrl = imgElement.src;
let a = document.createElement("a");
a.href = imgUrl;
a.download = shapeName + ".png";
document.body.appendChild(a);
a.click();
document.body.removeChild(a);
});
}
function initPanel(spread) {
let sheet = spread.getActiveSheet();
let shape = sheet.shapes.all()[0];
shape.isSelected(true);
let url = shape.toImageSrc();
let imgElement = document.getElementById("selectShapeImage");
imgElement.src = url;
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app{
width: 100%;
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);